Companies
Update a company
Only the fields you send change. Requires scope companies:write.
PATCH
/
companies
/
{id}
Update a company
curl --request PATCH \
--url https://api.smartlyq.com/v1/companies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"company_size": "<string>",
"phone": "<string>",
"website": "<string>",
"address": "<string>",
"notes": "<string>",
"assigned_user_id": 123,
"attributes": {}
}
'import requests
url = "https://api.smartlyq.com/v1/companies/{id}"
payload = {
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"company_size": "<string>",
"phone": "<string>",
"website": "<string>",
"address": "<string>",
"notes": "<string>",
"assigned_user_id": 123,
"attributes": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
industry: '<string>',
company_size: '<string>',
phone: '<string>',
website: '<string>',
address: '<string>',
notes: '<string>',
assigned_user_id: 123,
attributes: {}
})
};
fetch('https://api.smartlyq.com/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Path Parameters
Company id.
Body
application/json
⌘I
Update a company

